%global libname wlheadless
%global commit c6c3607c39668b687b6401d837a63df7b0e873bf
%global shortcommit %(c=%{commit}; echo ${c:0:7})
#global gitdate 20230928

Name:           xwayland-run
Version:        0.0.2
Release:        1%{?dist}
Summary:        Run X11 clients on a dedicated Xwayland server.

License:        GPL-2.0-or-later
%if 0%{?gitdate}
Source0:        https://gitlab.freedesktop.org/ofourdan/%{name}/-/archive/%{commit}/%{name}-%{shortcommit}.tar.bz2
%else
Source0:	https://gitlab.freedesktop.org/ofourdan/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
%endif

BuildRequires:  meson >= 0.60.0
BuildRequires:  git-core
BuildRequires:  python%{python3_pkgversion}-devel

Requires:       python3
Requires:       python3-libs
Requires:       xorg-x11-server-Xwayland
Requires:       mutter
Requires:       xorg-x11-xauth
BuildArch:      noarch

%description
xwayland-run is intended as a replacement utility for xvfb-run, using Xwayland
running fullscreen on a headless compositor instead of Xvfb.

%prep
%autosetup -S git_am -n %{name}-%{?gitdate:%{commit}}%{!?gitdate:%{version}}

%build
%meson -Dcompositor=mutter
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/xwayland-run
%{_bindir}/wlheadless-run
%{_bindir}/xwfb-run
%{_mandir}/man1/*
%{_datadir}/%{libname}/*
%{python3_sitelib}/%{libname}/*

%changelog
* Mon Oct  2 2023 Olivier Fourdan <ofourdan@redhat.com> - 0.0.1-2
- Fix man page
  Fix mutter based compositors with NVIDIA proprietary driver

* Thu Sep 28 2023 Olivier Fourdan <ofourdan@redhat.com> - 0.0.1-1
- Initial version
